%define gcj_support 1

Name:           rssowl
Summary:        RSS, RDF and Atom Newsreader
Version:        1.2.4
Release:        %mkrel 3.0.1
Epoch:          0
License:        CPL
Group:          Networking/News
URL:            http://www.rssowl.org/
Source0:        rssowl_1_2_4_src.tar.gz
Source1:        %{name}.script
Source2:        %{name}.desktop
#Patch0:         %{name}-use-jce.patch
Patch1:         %{name}-build0.patch
Patch3:         %{name}-build1.patch
Patch5:         %{name}-browser.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

Requires:       java >= 0:1.4.2
Requires:       xerces-j2
BuildRequires:  java-devel >= 0:1.4.2
BuildRequires:  ImageMagick
BuildRequires:  ant, itext, jdom, jakarta-commons-codec, jakarta-commons-httpclient, eclipse-platform >= 1:3.3.0
BuildRequires:  libgconf-java
BuildRequires:  ant, java-rpmbuild >= 0:1.5
BuildRequires:  xerces-j2
BuildRequires:  blowfish-j
%if %{gcj_support}
BuildRequires:    java-gcj-compat-devel
%else
BuildArch:       noarch
%endif
Requires:         itext, jdom, jakarta-commons-codec, jakarta-commons-httpclient, eclipse-platform >= 1:3.3.0
Requires:         blowfish-j
Requires:         libgconf-java
Requires:         firefox-devel
BuildRequires:    desktop-file-utils
Requires(post):   desktop-file-utils
Requires(postun): desktop-file-utils

%description
RSSOwl is an RSS/RDF/Atom Newsreader written in Java using SWT as
fast graphic library. Read News in a tabfolder, save favorites in
categories, Export to PDF/RTF/HTML/OPML, Import Feeds from OPML,
perform fulltext-search, use the integrated browser.

%description -l de
RSSOwl ist ein RSS/RDF/Atom Newsreader in Java mit SWT als
GUI-Bibliothek. Einige der Features sind Export von Nachrichten nach
PDF/RTF/HTML, Import/Export mit OPML, Volltextsuche und der
integrierte Browser.

%prep
%setup -q -n rssowl_1_2_4_src
%remove_java_binaries
#%patch0 -p0
%patch1 -p0
%patch3 -p0
%patch5 -p0
# This package doesn't contain any MPL licensed code.
rm doc/mpl-v11.txt
%{__perl} -pi -e 's/<javac/<javac debug="true"/g' src/build.xml

%build
export CLASSPATH=
export OPT_JAR_LIST=:
build-jar-repository -p lib swt-gtk jdom itext jakarta-commons-codec jakarta-commons-httpclient glib0.4 gconf2.12 gtk2.10 xerces-j2 blowfish-j
ln -s %{_javadir}/itext.jar lib/iTextAsian.jar
ln -s %{_javadir}/blowfish-j.jar lib/BlowfishJ.jar
ln -s /usr/share/eclipse/plugins/org.eclipse.jface_3*.jar lib
ln -s /usr/share/eclipse/plugins/org.eclipse.core.commands_3*.jar lib
cd src
%{ant} deploy_linux

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_javadir}
install -m 644 rssowl.jar $RPM_BUILD_ROOT%{_javadir}/rssowl-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && %{__ln_s} rssowl-%{version}.jar rssowl.jar)

# FIXME:  do these really need to be converted?  Couldn't they be shipped as PNGs?
convert img/16x16.gif img/16x16.png
convert img/24x24.gif img/24x24.png
convert img/32x32.gif img/32x32.png
convert -resize 48x48 img/32x32.gif img/48x48.png
# FIXME:  this is ugly :)
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/24x24/apps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
install -m 644 img/32x32.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/rssowl.png
install -m 644 img/16x16.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps/rssowl.png
install -m 644 img/24x24.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/24x24/apps/rssowl.png
install -m 644 img/32x32.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/rssowl.png

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
%{_bindir}/desktop-file-install --vendor ""                 \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications        \
        --add-category X-Mandriva-Internet-News                \
        %{SOURCE2}

mkdir -p $RPM_BUILD_ROOT/%{_bindir}
cp %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/%{name}
sed --in-place "s:/usr/lib:%{_libdir}:" \
  $RPM_BUILD_ROOT%{_bindir}/%{name}
sed --in-place "s:/usr/share:%{_datadir}:" \
  $RPM_BUILD_ROOT%{_bindir}/%{name}
%{__perl} -pi -e 's|\@LIBDIR\@|%{_libdir}|g;' \
              -e 's|\@VERSION\@|2.0|g;' \
  %{buildroot}%{_bindir}/%{name}
chmod 755 $RPM_BUILD_ROOT/%{_bindir}/%{name}

%{__perl} -pi -e 's/\r$//g' doc/tutorial/en/*.html
%{__perl} -pi -e 's/\r$//g' doc/tutorial/en/styles/*
%{__perl} -pi -e 's/\r$//g' doc/*.{xml,html,txt,template}

%{gcj_compile}

%post 
%if %{gcj_support}
%{update_gcjdb}
%endif
%{update_desktop_database}
%update_icon_cache hicolor

%postun 
%if %{gcj_support}
%{clean_gcjdb}
%endif
%{clean_desktop_database}
%clean_icon_cache hicolor

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644, root, root, 0755)
%doc doc/*
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/icons/hicolor/16x16/apps/%%{name}.png
%{_datadir}/icons/hicolor/24x24/apps/%%{name}.png
%{_datadir}/icons/hicolor/32x32/apps/%%{name}.png
%attr(0755,root,root) %{_bindir}/%{name}
%{gcj_files}


%changelog
* Sun Feb 24 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0:1.2.4-3.0.1mdv2008.1
+ Revision: 174253
- use blowfish-j instead of buggy patch

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

  + Anssi Hannula <anssi@mandriva.org>
    - buildrequire java-rpmbuild, i.e. build with icedtea on x86(_64)

* Thu Nov 29 2007 Alexander Kurtakov <akurtakov@mandriva.org> 0:1.2.4-2mdv2008.1
+ Revision: 113909
- bump release
- fix Group

* Wed Nov 28 2007 Alexander Kurtakov <akurtakov@mandriva.org> 0:1.2.4-1mdv2008.1
+ Revision: 113790
- update to 1.2.4
- fix swt and jface path in the startup script

* Tue Nov 27 2007 Alexander Kurtakov <akurtakov@mandriva.org> 0:1.2.3-8mdv2008.1
+ Revision: 113473
- bump release
- use unversioned swt-gtk.jar

* Mon Oct 22 2007 David Walluck <walluck@mandriva.org> 0:1.2.3-7mdv2008.1
+ Revision: 101279
- fix menu comment
- add debug info to generated classes
- fix OPT_JAR_LIST
- fix ant macro call

* Sun Oct 21 2007 David Walluck <walluck@mandriva.org> 0:1.2.3-6mdv2008.1
+ Revision: 101060
- fix firefox home

* Sat Sep 15 2007 Anssi Hannula <anssi@mandriva.org> 0:1.2.3-5mdv2008.0
+ Revision: 87355
- rebuild to filter out autorequires of GCJ AOT objects
- remove unnecessary Requires(post) on java-gcj-compat

* Thu Aug 16 2007 David Walluck <walluck@mandriva.org> 0:1.2.3-4mdv2008.0
+ Revision: 64620
- update for eclipse 3.3


* Sat Dec 23 2006 David Walluck <walluck@mandriva.org> 1.2.3-3mdv2007.0
+ Revision: 101867
- update startup script

* Wed Dec 13 2006 David Walluck <walluck@mandriva.org> 0:1.2.3-2mdv2007.1
+ Revision: 96208
- bump release
- 1.2.3

* Thu Nov 09 2006 David Walluck <walluck@mandriva.org> 0:1.2.2-6.1mdv2007.0
+ Revision: 79606
- update for eclipse 3.2.x
- Import rssowl

* Tue Sep 05 2006 David Walluck <walluck@mandriva.org> 0:1.2.2-3mdv2007.0
- fix dir ownership

* Sun Sep 03 2006 David Walluck <walluck@mandriva.org> 0:1.2.2-2mdv2007.0
- fix regressions in startup script

* Mon Aug 28 2006 David Walluck <walluck@mandriva.org> 0:1.2.2-1mdv2007.0
- 1.2.2

* Thu Aug 10 2006 David Walluck <walluck@mandriva.org> 0:1.2.1-4mdv2007.0
- (Build)Requires: xerces-j2

* Tue Aug 08 2006 David Walluck <walluck@mandriva.org> 0:1.2.1-3mdv2007.0
- 1.2.1
- use macros for desktop

* Tue Jun 06 2006 David Walluck <walluck@mandriva.org> 0:1.2-12.1mdv2007.0
- release

* Fri Mar 10 2006 Anthony Green <green@redhat.com> - 1.2-12
- Fix script goof.

* Thu Mar 09 2006 Anthony Green <green@redhat.com> - 1.2-11
- Rebuild with new compiler.

* Tue Feb 07 2006 Anthony Green <green@redhat.com> - 1.2-10
- Fix swt jar reference in build-jar-repository.

* Tue Feb 07 2006 Anthony Green <green@redhat.com> - 1.2-9
- Update eclipse-platform requirement in spec file and eclipse swt and 
  runtime references in rssowl.script.
- Install .desktop file propertly.
- Run update-desktop-database and gtk-update-icon-cache in post and postun.
- Add desktop-file-utils dependencies.
- Tweak description.

* Mon Jan 16 2006 Anthony Green <green@redhat.com> 1.2-7
- Word-wrapped descriptions.
- Set Group to Applications/Internet.
- Cleaned up changelog changelog entries.
- Improved Summary.
- Converted text files to "unix" with dos2unix.
- Fixed documentation and jar file locations.
- Update rssowl accordingly.

* Mon Jan 16 2006 Anthony Green <green@redhat.com> 1.2-6
- Add Requires for libgconf-java (thanks Andrew Overholt!)

* Fri Jan 13 2006 Anthony Green <green@redhat.com> 1.2-5
- Remove debugging patches.
- Use java-gnome API to find preferred browser.

* Thu Jan 05 2006 Anthony Green <green@redhat.com> 1.2-4
- Remove MPL license text (this was for itext.jar, which is packaged
  separately now.

* Wed Jan 04 2006 Anthony Green <green@redhat.com> 1.2-2
- Use JessieX509 instead of SunX509.

* Wed Jan 04 2006 Anthony Green <green@redhat.com> 1.2-1
- Upgrade to RSSOwl 1.2.
- Many new related patches.
- Remove utf8 patch.
- Use clean sources (no precompiled .class files in jars)
- Build as native code.
- Merge overholt's spec file with Kay's.

* Wed Nov 09 2005 Kay Patzwald <kay_patzwald@users.sourceforge.net>
- change buildrequires to java-sdk >= 1.4.2 and change the startscript to rssowl.sh

* Thu Jul 28 2005 Andrew Overholt <overholt@redhat.com> 1.1.3-0.2
- Include rssowl.script and rssowl.desktop as separate files.
- Use Robin Green's work in /usr/bin/eclipse to make internal browser work.
- Add native compilation (but leave unused until we get all dependencies sorted
  out).

* Tue Jul 26 2005 Andrew Overholt <overholt@redhat.com> 1.1.3-0.1
- New upstream version.
- Update build patch and use new deploy task.

* Thu Jul 07 2005 Andrew Overholt <overholt@redhat.com> 1.1.2-0.2
- First go at some cleanups.
- Patch around a libgcj issue with "utf8" vs. "utf-8".

* Mon Jun 13 2005 Kay Patzwald <kay_patzwald@users.sourceforge.net>
- change the menu-category from usenet-news to rss-news

* Thu May 26 2005 Kay Patzwald <kay_patzwald@users.sourceforge.net>
- Little modifications at the startscript, rssowl accepts shell-arguments

* Tue Mar 22 2005 Kay Patzwald <kay_patzwald@users.sourceforge.net>
- Add "AutoReqProv: no" and change jdk-requirements

* Sun Mar 20 2005 Kay Patzwald <kay_patzwald@users.sourceforge.net>
- new jdk-requirements

* Mon Mar 07 2005 Kay Patzwald <kay_patzwald@users.sourceforge.net>
- change the menu-category of rssowl from network to news

* Thu Aug 19 2004 Kay Patzwald <admiral_kay@users.sourceforge.net>
- swt*.jars are not required in the bin-rpm

* Thu Aug 19 2004 Kay Patzwald <admiral_kay@users.sourceforge.net>
- libs will copied to the rssowl-dir now

* Wed Aug 11 2004 Kay Patzwald <admiral_kay@users.sourceforge.net>
- some little changes

* Sun Aug 08 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- some rework

* Wed Aug 04 2004 Kay Patzwald <admiral_kay@users.sourceforge.net>
- first release

